Contribute
Register

Other ways to get Legit Mountain Lion (iMac too old to download from App Store)

Status
Not open for further replies.
Joined
May 4, 2013
Messages
4
Motherboard
G5 iMac 2006
CPU
Intel Core Duo
Graphics
Something...
Mac
  1. iMac
Classic Mac
Mobile Phone
  1. Android
  2. iOS
Hi all,

First post and newbie here :)
Built my first custom build which i plan to have as a hackintosh running Linux in a VM.
I currently have an old iMac G5 from late 2006 i think and i'm trying to get Mountain Lion so i can create the bootable USB etc etc HOWEVER my mac is so old that i get the generic
"We could not complete your purchase. OS X Mountain Lion is not compatible with this computer"
message when trying to purchase from the App Store.

Just wondering whether there is a way around this or whether i'm stuck until I can get use of a Mac with decent enough specs to upgrade...?

Googled this to no avail by the way so last resort is posting this :)

Thanks in advance for your support,

Olly
 
Joined
May 4, 2013
Messages
4
Motherboard
G5 iMac 2006
CPU
Intel Core Duo
Graphics
Something...
Mac
  1. iMac
Classic Mac
Mobile Phone
  1. Android
  2. iOS
Thank you! I'll give that a try
 

Stork

Admin
Staff member
Joined
Sep 21, 2010
Messages
13,870
Motherboard
Gigabyte Z690 Aero G
CPU
i5-12600K
Graphics
RX 6800 XT
Mac
  1. MacBook Pro
  2. Mac mini
  3. Mac Pro
Classic Mac
  1. Power Mac
  2. PowerBook
Mobile Phone
  1. iOS
Status
Not open for further replies.
Top